Search for teams within an organization
GET
/orgs/{org}/teams/search
const url = 'https://gitea.example.com/api/v1/orgs/example/teams/search';const options = {method: 'GET', headers: {Authorization: 'Basic <credentials>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url https://gitea.example.com/api/v1/orgs/example/teams/search \ --header 'Authorization: Basic <credentials>'Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”org
required
string
Name of the organization
Query Parameters
Section titled “Query Parameters”q
string
Keywords to search
include_desc
boolean
Include search within team description (defaults to true)
page
integer
Page number of results to return (1-based)
limit
integer
Page size of results
Responses
Section titled “Responses”SearchResults of a successful search
Media typeapplication/json
object
data
Array<object>
Team represents a team in an organization
object
can_create_org_repo
boolean
description
string
id
integer format: int64
includes_all_repositories
boolean
name
string
organization
Organization represents an organization
object
avatar_url
string
description
string
email
string
full_name
string
id
integer format: int64
location
string
name
string
repo_admin_change_team_access
boolean
username
Deprecated
string
visibility
string
website
string
permission
string
units
Array<string>
units_map
object
key
additional properties
string
ok
boolean
Example
{ "data": [ { "permission": "none", "units": [ "repo.code", "repo.issues", "repo.ext_issues", "repo.wiki", "repo.pulls", "repo.releases", "repo.projects", "repo.ext_wiki" ], "units_map": { "repo.code": "read", "repo.ext_issues": "none", "repo.ext_wiki": "none", "repo.issues": "write", "repo.projects": "none", "repo.pulls": "owner", "repo.releases": "none", "repo.wiki": "admin" } } ]}APINotFound is a not found empty response
Media typeapplication/json